declare @uid as varchar(50)
declare @eid as varchar(50)
set @eid =(select eid from seg_usuario where id=1)
set @uid =(select uid from seg_usuario where id=1)
if not exists(select *from gui_funcionalidad where nombrecomando='verCosto' and id_tipoFuncionalidad=5 and id_funcionalidad in(select id from gui_funcionalidad where nombreControl='inc_inventario' and id_tipoFuncionalidad=1))
begin
insert into gui_funcionalidad ([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],
[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[toolTip],[esMenu],[nombreComando],[orden])
(select @uid,@eid,1,1,getdate(),getdate(),1,'Ver Costo',id,5,0,0,'verCosto',0 from gui_funcionalidad where nombreControl='inc_inventario' and id_tipoFuncionalidad=1)
end

if  not exists(select * from  [seg_perfil_funcionalidad]  where id_perfil=2 and id_funcionalidad in(
select id from gui_funcionalidad where nombrecomando='verCosto' and id_tipoFuncionalidad=5 and id_funcionalidad 
in(select id from gui_funcionalidad where nombreControl='inc_inventario' and id_tipoFuncionalidad=1))
)
begin
INSERT INTO [seg_perfil_funcionalidad] ([uid]
,[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[perfil_funcionalidad],[id_perfil],[id_funcionalidad])
select  @uid,'01',1,1,getdate() ,getdate(),1,'',2,id 
from gui_funcionalidad where nombrecomando='verCosto' and id_tipoFuncionalidad=5 and id_funcionalidad in(select id from gui_funcionalidad where nombreControl='inc_inventario' and id_tipoFuncionalidad=1)
end


